Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 61754 - app-portage/esearch: would be nice if esync could determine what's new
Summary: app-portage/esearch: would be nice if esync could determine what's new
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All All
: High enhancement (vote)
Assignee: Portage Tools Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-08-26 01:59 UTC by Torne Wuff
Modified: 2011-06-15 04:50 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Torne Wuff 2004-08-26 01:59:48 UTC
Currently esync prints all changed ebuilds after updating; it would be nice if it could ignore new versions of packages that are not installed.

Basically, what I really want to see when I update the tree:
1) Updates to packages I have installed
2) New ebuilds that have no previous version (i.e. packages I have never seen before that I might find interesting).

I had a look in the code to see about how to implement this, but am not entirely sure how to do it, and am not sure how easy it would be to add.
Comment 1 Marius Mauch (RETIRED) gentoo-dev 2004-10-06 11:57:06 UTC
David, that's up to you.
Comment 2 David Peter 2004-10-06 13:39:04 UTC
Hi,

You're probably right. The current output is very bloated, and a lot of packages are not very interesting. I will try to improve it (the 2 points you mentioned are good). Maybe I will then add something like an --verbose option to show *all* updates.

Thanks a lot for the bug report,
I think it won't be that much work.

Could be released with the next version.

David
Comment 3 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2005-10-13 06:06:16 UTC
I don't see app-portage/eupdate in the tree...Did it get moved or removed?
Comment 4 Marius Mauch (RETIRED) gentoo-dev 2005-10-14 09:12:50 UTC
Nope, just incorret summary
Comment 5 Paul Varner (RETIRED) gentoo-dev 2011-06-15 04:50:17 UTC
Since esearch is not being maintained upstream, closing as wontfix.  However, if someone supplies a patch against the current version in the tree, I will look at adding it into the ebuild.